#
# spec file for package gmyth
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gmyth
%define libname   lib%{name}
%define libsoname %{libname}0
Version:        0.7.1
Release:        11.3
Summary:        GMyth Frontend Library
License:        LGPL-2.0+
Group:          System/Libraries
Url:            http://sourceforge.net/projects/gmyth/
Source:         http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM gmyth-includes.patch sf#3424822 dimstar@opensuse.org -- curl/types.h does no longer need to be included
Patch0:         %{name}-includes.patch
# PATCH-FIX-UPSTREAM gmyth-samples-linking.patch sf#3424823 dimstar@opensuse.org -- The linkinkg order matters with -Wl,--as-needed
Patch1:         %{name}-samples-linking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  mysql-devel

%description
GMyth is a library to access MythTV backend services. It is designed to have few dependencies and is
written in ANSI C and GObject. The project also provides a library sample use with a Mythtv Frontend
UI for Linux based Mobile devices like Nokia 770.

%package -n %{libsoname}
Summary:        GMyth Frontend Library
Group:          System/Libraries

%description -n %{libsoname}
GMyth is a library to access MythTV backend services. It is designed to have few dependencies and is
written in ANSI C and GObject. The project also provides a library sample use with a Mythtv Frontend
UI for Linux based Mobile devices like Nokia 770.

%package -n %{libname}-devel
Summary:        GMyth Frontend Library - Development files
Group:          Development/Languages/C and C++
Requires:       %{libsoname} = %{version}
Requires:       mysql-devel
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
GMyth is a library to access MythTV backend services. It is designed to have few dependencies and is
written in ANSI C and GObject. The project also provides a library sample use with a Mythtv Frontend
UI for Linux based Mobile devices like Nokia 770.

This package contains header files of libgmyth

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print

%post -n %{libsoname} -p /sbin/ldconfig

%postun -n %{libsoname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/%{name}-cat
%{_bindir}/%{name}-ls

%files -n %{libsoname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{libname}.so.0*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Jun 23 2012 chris@computersalat.de
- add macros
  * libname, libsoname
- fix dep
  * provides gmyth-devel
* Sat Feb 25 2012 dimstar@opensuse.org
- Add baselibs.conf
- Change BuildRequires from pkgconfig()-style to old-style:
  + pkkconfig(): glib-2.0, libxml-2.0, libcurl
  + old-style: glib2-devel, libxml2-devel, libcurl-devel
* Sat Feb 25 2012 dimstar@opensuse.org
- Rename gmyth-devel to libgmyth-devel, as this is more closely
  matching reality. Additionally, this improves compatibility with
  what other 3rd party repos already used in BuildRequires.
* Wed Jan 11 2012 reddwarf@opensuse.org
- Add autoconf, automake and libtool BuildRequires
- Add missing ldconfig post/postun
- Remove the %%clean section
* Thu Oct 27 2011 dimstar@opensuse.org
- Require mysql-devel from the -devel package. As mysql does not
  have a .pc file, there is no automatic way to identify the
  dependency; gmyth.pc references -lmysqlclient.
* Mon Oct 17 2011 dimstar@opensuse.org
- Initial package, imported for OBS as a dependency to gstreamer.
- Patches added:
  + gmyth-includes.patch: curl/types.h does not exist
  + gmyth-samples-linking.patch: Fix build of samples with
  - -as-needed.
